package com.hzya.frame.sys.contrastTask.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 对照任务表(SysContrastTask)实体类
 *
 * @author makejava
 * @since 2023-08-08 16:33:59
 */
public class SysContrastTaskEntity extends BaseEntity {

    /**
     * 主键ID
     */
    private String id;
    /**
     * 服务名称
     */
    private String serviceName;
    /**
     * 左应用id
     */
    private String leftAppId;
    /**
     * 左接口ID
     */
    private String leftApiId;
    /**
     * 右应用id
     */
    private String rightAppId;
    /**
     * 右接口ID
     */
    private String rightApiId;
    /**
     * 任务状态 1、待执行 2、执行中 3、执行完成 4、执行失败
     */
    private String taskStatus;
    /**
     * 任务描述
     */
    private String taskMsg;
    /**
     * 排序
     */
    private Long sorts;
    /**
     * 创建人id
     */
    private String createUserId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人id
     */
    private String modifyUserId;
    /**
     * 修改时间
     */
    private Date modifyTime;
    /**
     * 状态(Y正常N删除)
     */
    private String sts;
    /**
     * 组织机构ID
     */
    private String orgId;
    /**
     * 匹配方式 1、按名称 2、按编码
     */
    private String matchMode;

    public String getMatchMode() {
        return matchMode;
    }

    public void setMatchMode(String matchMode) {
        this.matchMode = matchMode;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getLeftAppId() {
        return leftAppId;
    }

    public void setLeftAppId(String leftAppId) {
        this.leftAppId = leftAppId;
    }

    public String getLeftApiId() {
        return leftApiId;
    }

    public void setLeftApiId(String leftApiId) {
        this.leftApiId = leftApiId;
    }

    public String getRightAppId() {
        return rightAppId;
    }

    public void setRightAppId(String rightAppId) {
        this.rightAppId = rightAppId;
    }

    public String getRightApiId() {
        return rightApiId;
    }

    public void setRightApiId(String rightApiId) {
        this.rightApiId = rightApiId;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getTaskMsg() {
        return taskMsg;
    }

    public void setTaskMsg(String taskMsg) {
        this.taskMsg = taskMsg;
    }

    public Long getSorts() {
        return sorts;
    }

    public void setSorts(Long sorts) {
        this.sorts = sorts;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyUserId() {
        return modifyUserId;
    }

    public void setModifyUserId(String modifyUserId) {
        this.modifyUserId = modifyUserId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getSts() {
        return sts;
    }

    public void setSts(String sts) {
        this.sts = sts;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }



}

